# Class XSTypeLoader

java.lang.Object
com.io7m.xstructural.vanilla.internal.XSTypeLoader

All Implemented Interfaces:
  `ContentHandler, ErrorHandler`

public final class XSTypeLoader extends Object implements ContentHandler, ErrorHandler
A loader for type declarations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `characters(char[] ch, int start, int length)`
  `void`
  `endDocument()`
  `void`
  `endElement(String uri, String localName, String qName)`
  `void`
  `endPrefixMapping(String prefix)`
  `void`
  `error(SAXParseException exception)`
  `void`
  `fatalError(SAXParseException exception)`
  `void`
  `ignorableWhitespace(char[] ch, int start, int length)`
  `void`
  `processingInstruction(String target, String data)`
  `static XSTypeAttributeDeclarationCollection`
  `read(Path file)`
  Load type declarations.
  `void`
  `setDocumentLocator(Locator newLocator)`
  `void`
  `skippedEntity(String name)`
  `void`
  `startDocument()`
  `void`
  `startElement(String uri, String localName, String qName, Attributes atts)`
  `void`
  `startPrefixMapping(String prefix, String uri)`
  `void`
  `warning(SAXParseException exception)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ContentHandler

  `declaration`

- ## Method Details

  - ### read

    public static XSTypeAttributeDeclarationCollection read(Path file) throws Exception
    Load type declarations.
    Parameters:
      `file` - The file
    Returns:
      The type declarations
    Throws:
      `Exception` - On errors

  - ### setDocumentLocator

    public void setDocumentLocator(Locator newLocator)
    Specified by:
      `setDocumentLocator` in interface `ContentHandler`

  - ### startDocument

    public void startDocument()
    Specified by:
      `startDocument` in interface `ContentHandler`

  - ### endDocument

    public void endDocument()
    Specified by:
      `endDocument` in interface `ContentHandler`

  - ### startPrefixMapping

    public void startPrefixMapping(String prefix, String uri)
    Specified by:
      `startPrefixMapping` in interface `ContentHandler`

  - ### endPrefixMapping

    public void endPrefixMapping(String prefix)
    Specified by:
      `endPrefixMapping` in interface `ContentHandler`

  - ### startElement

    public void startElement(String uri, String localName, String qName, Attributes atts)
    Specified by:
      `startElement` in interface `ContentHandler`

  - ### endElement

    public void endElement(String uri, String localName, String qName)
    Specified by:
      `endElement` in interface `ContentHandler`

  - ### characters

    public void characters(char[] ch, int start, int length)
    Specified by:
      `characters` in interface `ContentHandler`

  - ### ignorableWhitespace

    public void ignorableWhitespace(char[] ch, int start, int length)
    Specified by:
      `ignorableWhitespace` in interface `ContentHandler`

  - ### processingInstruction

    public void processingInstruction(String target, String data)
    Specified by:
      `processingInstruction` in interface `ContentHandler`

  - ### skippedEntity

    public void skippedEntity(String name)
    Specified by:
      `skippedEntity` in interface `ContentHandler`

  - ### warning

    public void warning(SAXParseException exception) throws SAXException
    Specified by:
      `warning` in interface `ErrorHandler`
    Throws:
      `SAXException`

  - ### error

    public void error(SAXParseException exception) throws SAXException
    Specified by:
      `error` in interface `ErrorHandler`
    Throws:
      `SAXException`

  - ### fatalError

    public void fatalError(SAXParseException exception) throws SAXException
    Specified by:
      `fatalError` in interface `ErrorHandler`
    Throws:
      `SAXException`